Delete a schedule
curl --request DELETE \
--url https://api.cal.com/v2/schedules/{scheduleId} \
--header 'Authorization: <authorization>' \
--header 'cal-api-version: <cal-api-version>'import requests
url = "https://api.cal.com/v2/schedules/{scheduleId}"
headers = {
"Authorization": "<authorization>",
"cal-api-version": "<cal-api-version>"
}
response = requests.delete(url, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<authorization>', 'cal-api-version': '<cal-api-version>'}
};
fetch('https://api.cal.com/v2/schedules/{scheduleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}Schedules
Delete a schedule
Please make sure to pass in the cal-api-version header value as mentioned in the Headers section. Not passing the correct value will default to an older version of this endpoint.
If accessed using an OAuth access token, the SCHEDULE_WRITE scope is required.
DELETE
/
v2
/
schedules
/
{scheduleId}
Delete a schedule
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_, managed user access token, or OAuth access token
Must be set to 2024-06-11. If not set to this value, the endpoint will default to an older version.
Example:
"2024-06-11"
Path Parameters
Response
200 - application/json
Available options:
success, error Example:
"success"
Was this page helpful?